/**
 * <copyright>
 * </copyright>
 *
 * $Id: OPMLPackage.java,v 1.2 2005/03/08 17:50:06 mkamo Exp $
 */
package razgriz.news.model.opml;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see razgriz.news.model.opml.OPMLFactory
 * @generated
 */
public interface OPMLPackage extends EPackage{
    /**
     * The package name.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    String eNAME = "opml";

    /**
     * The package namespace URI.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    String eNS_URI = "http:///razgriz/news/model/opml.ecore";

    /**
     * The package namespace name.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    String eNS_PREFIX = "razgriz.news.model.opml";

    /**
     * The singleton instance of the package.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    OPMLPackage eINSTANCE = razgriz.news.model.opml.impl.OPMLPackageImpl.init();

    /**
     * The meta object id for the '{@link razgriz.news.model.opml.impl.OutlineImpl <em>Outline</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see razgriz.news.model.opml.impl.OutlineImpl
     * @see razgriz.news.model.opml.impl.OPMLPackageImpl#getOutline()
     * @generated
     */
    int OUTLINE = 0;

    /**
     * The feature id for the '<em><b>Type</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OUTLINE__TYPE = 0;

    /**
     * The feature id for the '<em><b>Xml Url</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OUTLINE__XML_URL = 1;

    /**
     * The feature id for the '<em><b>Html Url</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OUTLINE__HTML_URL = 2;

    /**
     * The feature id for the '<em><b>Text</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OUTLINE__TEXT = 3;

    /**
     * The feature id for the '<em><b>Title</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OUTLINE__TITLE = 4;

    /**
     * The feature id for the '<em><b>Description</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OUTLINE__DESCRIPTION = 5;

    /**
     * The feature id for the '<em><b>Body</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OUTLINE__BODY = 6;

    /**
     * The feature id for the '<em><b>Outline</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OUTLINE__OUTLINE = 7;

    /**
     * The feature id for the '<em><b>Owner</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OUTLINE__OWNER = 8;

    /**
     * The number of structural features of the the '<em>Outline</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OUTLINE_FEATURE_COUNT = 9;

    /**
     * The meta object id for the '{@link razgriz.news.model.opml.impl.OPMLImpl <em>OPML</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see razgriz.news.model.opml.impl.OPMLImpl
     * @see razgriz.news.model.opml.impl.OPMLPackageImpl#getOPML()
     * @generated
     */
    int OPML = 1;

    /**
     * The feature id for the '<em><b>Version</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OPML__VERSION = 0;

    /**
     * The feature id for the '<em><b>Head</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OPML__HEAD = 1;

    /**
     * The feature id for the '<em><b>Body</b></em>' containment reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OPML__BODY = 2;

    /**
     * The number of structural features of the the '<em>OPML</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int OPML_FEATURE_COUNT = 3;

    /**
     * The meta object id for the '{@link razgriz.news.model.opml.impl.BodyImpl <em>Body</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see razgriz.news.model.opml.impl.BodyImpl
     * @see razgriz.news.model.opml.impl.OPMLPackageImpl#getBody()
     * @generated
     */
    int BODY = 2;

    /**
     * The feature id for the '<em><b>Outline</b></em>' containment reference list.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int BODY__OUTLINE = 0;

    /**
     * The feature id for the '<em><b>Opml</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int BODY__OPML = 1;

    /**
     * The number of structural features of the the '<em>Body</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int BODY_FEATURE_COUNT = 2;

    /**
     * The meta object id for the '{@link razgriz.news.model.opml.impl.HeadImpl <em>Head</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see razgriz.news.model.opml.impl.HeadImpl
     * @see razgriz.news.model.opml.impl.OPMLPackageImpl#getHead()
     * @generated
     */
    int HEAD = 3;

    /**
     * The feature id for the '<em><b>Title</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HEAD__TITLE = 0;

    /**
     * The feature id for the '<em><b>Date Created</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HEAD__DATE_CREATED = 1;

    /**
     * The feature id for the '<em><b>Date Modified</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HEAD__DATE_MODIFIED = 2;

    /**
     * The feature id for the '<em><b>Expansion State</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HEAD__EXPANSION_STATE = 3;

    /**
     * The feature id for the '<em><b>Owner Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HEAD__OWNER_NAME = 4;

    /**
     * The feature id for the '<em><b>Opml</b></em>' container reference.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HEAD__OPML = 5;

    /**
     * The number of structural features of the the '<em>Head</em>' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     * @ordered
     */
    int HEAD_FEATURE_COUNT = 6;


    /**
     * Returns the meta object for class '{@link razgriz.news.model.opml.Outline <em>Outline</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>Outline</em>'.
     * @see razgriz.news.model.opml.Outline
     * @generated
     */
    EClass getOutline();

    /**
     * Returns the meta object for the attribute '{@link razgriz.news.model.opml.Outline#getType <em>Type</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Type</em>'.
     * @see razgriz.news.model.opml.Outline#getType()
     * @see #getOutline()
     * @generated
     */
    EAttribute getOutline_Type();

    /**
     * Returns the meta object for the attribute '{@link razgriz.news.model.opml.Outline#getXmlUrl <em>Xml Url</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Xml Url</em>'.
     * @see razgriz.news.model.opml.Outline#getXmlUrl()
     * @see #getOutline()
     * @generated
     */
    EAttribute getOutline_XmlUrl();

    /**
     * Returns the meta object for the attribute '{@link razgriz.news.model.opml.Outline#getHtmlUrl <em>Html Url</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Html Url</em>'.
     * @see razgriz.news.model.opml.Outline#getHtmlUrl()
     * @see #getOutline()
     * @generated
     */
    EAttribute getOutline_HtmlUrl();

    /**
     * Returns the meta object for the attribute '{@link razgriz.news.model.opml.Outline#getText <em>Text</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Text</em>'.
     * @see razgriz.news.model.opml.Outline#getText()
     * @see #getOutline()
     * @generated
     */
    EAttribute getOutline_Text();

    /**
     * Returns the meta object for the attribute '{@link razgriz.news.model.opml.Outline#getTitle <em>Title</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Title</em>'.
     * @see razgriz.news.model.opml.Outline#getTitle()
     * @see #getOutline()
     * @generated
     */
    EAttribute getOutline_Title();

    /**
     * Returns the meta object for the attribute '{@link razgriz.news.model.opml.Outline#getDescription <em>Description</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Description</em>'.
     * @see razgriz.news.model.opml.Outline#getDescription()
     * @see #getOutline()
     * @generated
     */
    EAttribute getOutline_Description();

    /**
     * Returns the meta object for the container reference '{@link razgriz.news.model.opml.Outline#getBody <em>Body</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the container reference '<em>Body</em>'.
     * @see razgriz.news.model.opml.Outline#getBody()
     * @see #getOutline()
     * @generated
     */
    EReference getOutline_Body();

    /**
     * Returns the meta object for the containment reference list '{@link razgriz.news.model.opml.Outline#getOutline <em>Outline</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the containment reference list '<em>Outline</em>'.
     * @see razgriz.news.model.opml.Outline#getOutline()
     * @see #getOutline()
     * @generated
     */
    EReference getOutline_Outline();

    /**
     * Returns the meta object for the container reference '{@link razgriz.news.model.opml.Outline#getOwner <em>Owner</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the container reference '<em>Owner</em>'.
     * @see razgriz.news.model.opml.Outline#getOwner()
     * @see #getOutline()
     * @generated
     */
    EReference getOutline_Owner();

    /**
     * Returns the meta object for class '{@link razgriz.news.model.opml.OPML <em>OPML</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>OPML</em>'.
     * @see razgriz.news.model.opml.OPML
     * @generated
     */
    EClass getOPML();

    /**
     * Returns the meta object for the attribute '{@link razgriz.news.model.opml.OPML#getVersion <em>Version</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Version</em>'.
     * @see razgriz.news.model.opml.OPML#getVersion()
     * @see #getOPML()
     * @generated
     */
    EAttribute getOPML_Version();

    /**
     * Returns the meta object for the containment reference '{@link razgriz.news.model.opml.OPML#getBody <em>Body</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the containment reference '<em>Body</em>'.
     * @see razgriz.news.model.opml.OPML#getBody()
     * @see #getOPML()
     * @generated
     */
    EReference getOPML_Body();

    /**
     * Returns the meta object for the containment reference '{@link razgriz.news.model.opml.OPML#getHead <em>Head</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the containment reference '<em>Head</em>'.
     * @see razgriz.news.model.opml.OPML#getHead()
     * @see #getOPML()
     * @generated
     */
    EReference getOPML_Head();

    /**
     * Returns the meta object for class '{@link razgriz.news.model.opml.Body <em>Body</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>Body</em>'.
     * @see razgriz.news.model.opml.Body
     * @generated
     */
    EClass getBody();

    /**
     * Returns the meta object for the container reference '{@link razgriz.news.model.opml.Body#getOpml <em>Opml</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the container reference '<em>Opml</em>'.
     * @see razgriz.news.model.opml.Body#getOpml()
     * @see #getBody()
     * @generated
     */
    EReference getBody_Opml();

    /**
     * Returns the meta object for the containment reference list '{@link razgriz.news.model.opml.Body#getOutline <em>Outline</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the containment reference list '<em>Outline</em>'.
     * @see razgriz.news.model.opml.Body#getOutline()
     * @see #getBody()
     * @generated
     */
    EReference getBody_Outline();

    /**
     * Returns the meta object for class '{@link razgriz.news.model.opml.Head <em>Head</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for class '<em>Head</em>'.
     * @see razgriz.news.model.opml.Head
     * @generated
     */
    EClass getHead();

    /**
     * Returns the meta object for the attribute '{@link razgriz.news.model.opml.Head#getTitle <em>Title</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Title</em>'.
     * @see razgriz.news.model.opml.Head#getTitle()
     * @see #getHead()
     * @generated
     */
    EAttribute getHead_Title();

    /**
     * Returns the meta object for the attribute '{@link razgriz.news.model.opml.Head#getDateCreated <em>Date Created</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Date Created</em>'.
     * @see razgriz.news.model.opml.Head#getDateCreated()
     * @see #getHead()
     * @generated
     */
    EAttribute getHead_DateCreated();

    /**
     * Returns the meta object for the attribute '{@link razgriz.news.model.opml.Head#getDateModified <em>Date Modified</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Date Modified</em>'.
     * @see razgriz.news.model.opml.Head#getDateModified()
     * @see #getHead()
     * @generated
     */
    EAttribute getHead_DateModified();

    /**
     * Returns the meta object for the attribute '{@link razgriz.news.model.opml.Head#getExpansionState <em>Expansion State</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Expansion State</em>'.
     * @see razgriz.news.model.opml.Head#getExpansionState()
     * @see #getHead()
     * @generated
     */
    EAttribute getHead_ExpansionState();

    /**
     * Returns the meta object for the attribute '{@link razgriz.news.model.opml.Head#getOwnerName <em>Owner Name</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the attribute '<em>Owner Name</em>'.
     * @see razgriz.news.model.opml.Head#getOwnerName()
     * @see #getHead()
     * @generated
     */
    EAttribute getHead_OwnerName();

    /**
     * Returns the meta object for the container reference '{@link razgriz.news.model.opml.Head#getOpml <em>Opml</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the meta object for the container reference '<em>Opml</em>'.
     * @see razgriz.news.model.opml.Head#getOpml()
     * @see #getHead()
     * @generated
     */
    EReference getHead_Opml();

    /**
     * Returns the factory that creates the instances of the model.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @return the factory that creates the instances of the model.
     * @generated
     */
    OPMLFactory getOPMLFactory();

} //OPMLPackage
